import type { VNode, ExtractPropTypes } from 'vue';
export declare const SpinSize: import("vue-types").VueTypeDef<"small" | "default" | "large">;
export declare const spinProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    spinning: import("vue-types").VueTypeValidableDef<boolean>;
    size: import("vue-types").VueTypeDef<"small" | "default" | "large">;
    wrapperClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    tip: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    delay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    indicator: import("vue-types").VueTypeValidableDef<any>;
};
export declare type SpinProps = Partial<ExtractPropTypes<ReturnType<typeof spinProps>>>;
export declare function setDefaultIndicator(Content: any): void;
declare const _default: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    spinning: import("vue-types").VueTypeValidableDef<boolean>;
    size: import("vue-types").VueTypeDef<"small" | "default" | "large">;
    wrapperClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    tip: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    delay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    indicator: import("vue-types").VueTypeValidableDef<any>;
}, {
    originalUpdateSpinning: any;
    configProvider: any;
}, {
    sSpinning: boolean;
}, {}, {
    debouncifyUpdateSpinning(props?: any): void;
    updateSpinning(): void;
    cancelExistingSpin(): void;
    renderIndicator(prefixCls: string): VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    spinning?: unknown;
    size?: unknown;
    wrapperClassName?: unknown;
    tip?: unknown;
    delay?: unknown;
    indicator?: unknown;
} & {
    prefixCls: string;
    wrapperClassName: string;
    tip: string;
    delay: number;
} & {
    size?: "small" | "default" | "large";
    spinning?: boolean;
    indicator?: any;
}>, {
    prefixCls: string;
    wrapperClassName: string;
    tip: string;
    delay: number;
}>;
export default _default;
